List scan event history
GET
/scans
const url = 'https://example.com/api/scans?limit=50&offset=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/scans?limit=50&offset=0' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” projectId
string format: uuid
limit
integer
offset
integer
Responses
Section titled “ Responses ”Scan events
Media type application/json
object
events
required
Array<object>
object
id
required
string format: uuid
project_id
required
string format: uuid
trigger_source
required
string
trigger_detail
string | null
backend_repo
string | null
lovable_repo
string | null
status
required
string
duration_ms
integer | null
error_message
string | null
summary
object | null
scanned_at
required
string format: date-time
total_count
required
Total rows matching filters (not page size)
integer
limit
required
integer
offset
required
integer
has_more
required
boolean
next_offset
Next offset when has_more is true; null otherwise
integer | null
Not authenticated
Media type application/json
object
error
required
Human-readable error message
string
code
Stable machine-readable error code for client branching
string
fieldErrors
First validation message per field path
object
key
additional properties
string
issues
Structured validation issues (Zod)
Array<object>
object
path
required
string
message
required
string
retryAfter
Seconds until rate limit resets (429 responses)
number
reconnect
True if re-linking GitHub may fix the issue
boolean